Subscribed unsubscribe Subscribe Subscribe

sudo gemでこける

Ruby Mac

sudo gem update --systemと打つと以下のエラーが発生。

/opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `gem_original_require': no such file to load -- sources (LoadError)
from /opt/local/lib/ruby/vendor_ruby/1.8/rubygems/custom_require.rb:27:in `require'

こことかを参考にして無事解決なり

  1. http://d.hatena.ne.jp/akio0911/20080110
  2. http://blog.studiohff.net/200711/debiansargesudo_gem.html